### Method

# Vips Object get_argument

#### Declaration [src]

    int
    vips_object_get_argument (
      VipsObject* object,
      const char* name,
      GParamSpec** pspec,
      VipsArgumentClass** argument_class,
      VipsArgumentInstance** argument_instance
    )

#### Description [src]

Look up the three things you need to work with a vips argument.

This method is not directly available to language bindings.

#### Parameters

`name`

  Type: `const char*`

  Arg to fetch.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`pspec`

  Type: `GParamSpec`

  The pspec for this arg.

  The data is owned by the caller of the method.

`argument_class`

  Type: `VipsArgumentClass`

  The argument_class for this arg.

  The data is owned by the caller of the method.

`argument_instance`

  Type: `VipsArgumentInstance`

  The argument_instance for this arg.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

0 on success, or -1 on error.